function skill038()

if global.GetGameStat()==2 then

p = flag.GetBattleValue(33032)

if p==2 then

local id = player.GetTargetPlayer()
if id==1 or id==2 or id==4 or id==8 or id==16 or id==32 or id==64 or id==128 or id==256 or id==512 then
player.ChangeDP(0,id,3)
player.CreateSE(id,3911)
end

local pid=battle.GetActingPlayerID()
player.ChangeDP(0,pid,2)
player.CreateSE(pid,3911)


end

local pid=battle.GetActingPlayerID()
player.AddStat(0,pid,100,740,999)

end

end